package routes

import (
	"server/internal/http/controllers"

	"github.com/gofiber/fiber/v3"
)

func registerAdminRoutes(app *fiber.App) {
	adminController := controllers.NewAdminController()

	// Typescript: TSEndpoint= path=/admin/users; name=listUsers; method=POST; request=controllers.ListUsersRequest; response=models.[]UserShort
	app.Post("/admin/users", adminController.ListUsers)

	// Typescript: TSEndpoint= path=/admin/users/:uuid/block; name=blockUser; method=PUT; request=controllers.BlockUserRequest; response=models.UserShort
	app.Put("/admin/users/:uuid/block", adminController.BlockUser)
}
